Onboarding
Submit Backfill Prompt Step
Validates and saves one backfill step's answers into domain tables and step progress for an enrolled worker.
POSThttps://api.toku.com/hris/submit-backfill-prompt-step
Not available to API keys.
curl --request POST \
--url 'https://api.toku.com/hris/submit-backfill-prompt-step' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"stepId": "string",
"data": {}
}'200 response
{
"saved": true,
"fieldErrors": {},
"complete": true,
"remainingCount": 0
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
stepIdstringrequiredAllowed: at least 1 characters
dataobjectrequiredResponse
200Successful response
savedbooleanrequiredfieldErrorsobject | nullrequiredcompletebooleanrequiredremainingCountnumberrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits